%define upstream_name    Config-Find
%define upstream_version 0.31

%global __requires_exclude perl\\(Win32\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Find configuration files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Which)
BuildRequires: perl(IO::File)
BuildRequires: perl(Test::More) >= 0.700.0
BuildArch:  noarch

%description
Every OS has different rules for configuration files placement, this module
allows to easily find and create your app configuration files following
those rules.

Config::Find references configuration files by the application name or by
the application name and the configuration file name when the app uses
several application files, i.e 'emacs', 'profile', 'apache/httpd',
'apache/ssl'.

By default the $0 value is used to generate the configuration file name. To
define it explicitly the keywords 'name' or 'names' have to be used:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.310.0-7.mga10
+ Revision: 2198009
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.310.0-6.mga9
+ Revision: 1802524
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.310.0-5.mga8
+ Revision: 1493568
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.310.0-4.mga7
+ Revision: 1266584
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.310.0-3.mga6
+ Revision: 1024286
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.310.0-2.mga6
+ Revision: 967928
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.310.0-1.mga6
+ Revision: 850792
- update to 0.31

* Sun Oct 19 2014 umeabot <umeabot> 0.260.0-7.mga5
+ Revision: 789468
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.260.0-6.mga5
+ Revision: 747024
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.260.0-5.mga5
+ Revision: 683976
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 0.260.0-4.mga4
+ Revision: 510169
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.260.0-3.mga3
+ Revision: 364616
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.260.0-2.mga1
+ Revision: 31805
- mageia rebuild
- imported package perl-Config-Find

